---------------------------------
  MEWUI changelog
---------------------------------
1.70.1 - 01.02.2016

- Fixed broken displaying of DATs info. [Thanks to h0tw1r3]
- Preliminary fixing for toolbar's scaling. [Thanks to ppriest]
- Zip files is now compressed in more standard mode. [Thanks to balr0g & Robbbert]

---------------------------------
1.70 - 27.01.2016

- Updated to MAME 0.170
- Various code modernization and improvements.

---------------------------------
1.69 - 30.12.2015

- Updated to MAME 0.169
- Fixed Mamescore text size in the right panel.
- Changed XML exporting to exclude devices.
- Various code modernization and improvements.

---------------------------------
1.68 - 25.11.2015

- Updated to MAME 0.168.
- Only small fixes.

---------------------------------
1.67 - 28.10.2015

- Updated to MAME 0.167.
- Fixed wrong assignment for joypad buttons to UI.
- Added ability to close the left and / or right panel in main menu (use the mouse or set the option in "Configure Options -> Customize UI").
- Added support for "Ends" images in the right panel (downloadable from AntonPISA's website http://www.progettosnaps.net/).
- Fixed wrong BIOS selection from submenu.
- Fixed failure to reload custom filters in the software lists.
- Improved re-selection for latest used filter.
- Fixed the rendering for the icons.
- Various minor code refactoring.

*Note*
Download for Mac OS X is available in two versions, is recommended downloading the file "Mewui64-x.xx-mac-sdlframework" as the first, if it doesn't work try the other version.

---------------------------------
1.66 - 30.09.2015

- Standard menu now allows mouse wheel scrolling.
- Fixed DAT's view in full screen mode.
- Removed roms info in history view.
- Replaced individual filters "Raster" and "Vector" with filter "Screen Type", with the addition of sub-types "<none>" (machines without a screen) and "LCD".
- Latest selected machine and filter is saved on exit and restored at startup.
- Various minor code refactoring and fix.
- Updated to MAME 0.166.

Note
From this release, are also available 64bits versions for Linux (Ubuntu 12.04 compatible) and Mac OSX.
Neither is tested, if found errors, open a ticket on github or post in the forum.

---------------------------------
1.65a - 27.08.2015

- Fixed crash in directory configuration.

---------------------------------
1.65 - 26.08.2015

- Added filter "Software List" in software lists submenu.
- Added BIOS selection submenu at machine launch for machine with multiple BIOS.
- Added options under "Configure Options -> Miscellaneous Options" to skip bios and/or parts submenu.
- Added GLSL option in "Display Option" menu
- Fixed not working submenu for software with multiple parts started from favorites list.
- Various minor code corrections.

---------------------------------
1.64 - 29.07.2015

- Added "Not Support Save" - "No CHD" - "Not Use Samples" filters in main list.
- Added signs to identify filters active in custom list.
- Added ability to save multiple files for exported lists.
- Added palette submenu in colors UI customization.
- Added toolbar (with tooltip) in main and softwares lists.
 (icons taken from http://www.icojam.com/ public domain packages)
- Added custom filter to software lists.
- Added selection menu for multiple software parts.
- Fixed favorites handling (*** need to re-create lists from scratch to avoid crash ***).

---------------------------------
1.63 - 24.06.2015

- Fixed custom colors menu.
- Added save for machine type filter.
- Added "ALT-E" keys shortcut to export list of machines displayed in the 
  main menu.
- Removed grouped and audit options from menu.
- Added keys shortcut F1 (audit only unavailable) and F1 + LSHIFT (audit alls) 
  for roms audit.
- Audit roms saved and reloaded to/from file until MEWUI version match.
- Added folders scan for checking availables in softwares list.
- Category filter list is now sorted for parent/clones.
- Updated to MAME 0.163.
- Minor fixes. 

---------------------------------
1.62a - 31.05.2015

- Fixed custom filter.
- Fixed directly start for system without softwares list.
- Fixed category filter.

---------------------------------
1.62 - 28.05.2015

- Updated to MAME 0.162.

** Note
From this release will be available only MAME (ex UME) version, which includes both ARCADES and SYSTEMS.
You can switch from one version to another via the internal interface (with one click).

Given the many changes in the code, it is recommended to unzip the package into a new folder to avoid conflicts with the previous version.

---------------------------------
1.61 - 29.04.2015

- Added "Years - Publishers - Partial Supported" filters in softwares list.
- Fixed missing icons rendering in some circumstance.
- Many code fixes and optimizations.
- Updated to MAME / MESS / UME 0.161.

---------------------------------
1.60.1 - 05.04.2015

- Fixed crash in MESS / UME with some software list (thanks spogghi for report).
- Fixed crash with empty category (thanks spogghi for report).
- Fixed handling keys with filters in software list.
- Added filter "Unavailable" in main list.
- More minor fixes and changes.


---------------------------------
1.60 - 26.03.2015

- Updated to MAME / MESS / UME 0.160.
- Fixed available games list.
- Minor fixes and improvements.

---------------------------------
1.59 - 26.02.2015

- Updated to MAME / MESS / UME 0.159.
- Minor fixes and improvements.

---------------------------------
1.58 - 28.01.2015

- Updated to MAME / MESS / UME 0.158.
- [UME] Corrected wrong generation games list with some active filters (eg: CHD).
- Fixed left side menu that exceeds with large fonts.
- [UME/MESS] Added filters "Supported" and "Unsupported" in the softwares list.

---------------------------------
1.57 - 31.12.2014

- Added option in UME build to switch from full list to those of MAME and/or MESS.
- Updated to MAME / MESS / UME 0.157.
- Fixed crash when displaying some images (Ex: gtipoker).
- Fixed internal search that showing wrong results in some cases.
- Improved time loading from software list (MESS / UME).
- Fixed missing handling for Backspace / DEL / TAB keys in SDL build.
- Fixed crash occurred in favorite filter selection.
- Fixed custom filter.
- Various minor fixed and improvements.

---------------------------------
1.56 - 27.11.2014

Added:
* Support icons with transparency.

Fixed:
* Loading icons in non-Windows systems.
* Reduced initial readings from disk (MESS / UME).
* Wrong reselection last loaded system (MESS / UME).

Changed:
* Updated to MAME / MESS / UME 0.156.

---------------------------------
1.55a - 25.10.2014

Added:
* Display icons in the games list (.ICO file).
* Mouse wheel scrolling to the games list.
* Displaying COMMAND.DAT info in the right panel.

Changed:
* Left alignment of games list by default.

Fixed:
* Failure to display arrows in the right panel.
* Improved memory management in some cases.
* Failure to save the custom filter.
* Incorrect display mamescore information.

---------------------------------
1.55 - 15.10.2014

Added:
* Custom filter, option and menu. 
  You can now combine multiple filters (up to 10) into one, 
  all selected filters are in AND mode.

* Usage info for software (MESS / UME) available in right panel.

Changed:
* Updated to MAME / MESS / UME 0.155.
* Improved search in submenus, enabled the TAB key to search for other results.

Fixed:
* Less memory consumption.

---------------------------------
1.55 rc1 (svn r32368) - 25.09.2014

Added:
* New keyboard shortcuts to navigate the main menu:
    Left CTRL + Up/Down/PgUp/PgDown/Home/End		
    (scrolls text of information)

    Left CTRL + Right/Left arrow
    (switches between images and information)

    Left ALT  + Up/Down arrow
    (changes the active filter for the games list)

* Preliminary menu for customizing the UI.
  - Option to change the main font and size.
  - Option to change the size of information text.
  - Sketched color management for standard menu.

Changed:
* Removed option to autosave settings, settings are always saved 
  when you exit from the options menu.

* Grouped list is now in alphabetical order according to the name of the game 
  and not the romset.

* Search for images of cabinets also happens in 'cabdevs' by default (MESS / UME).

Fixed:
* Failure to generate the list of games / software by selecting 
  a filter with an active search.

* Improved handling of the error message for missing chd / rom.

* Fixed rendering of images.

* Error in the video options.

* Various minor fixes.

---------------------------------
1.54 - 23.07.2014

Added:
* Item in the ingame menu to quit the game (on request).

Changed:
* Some cosmetic changes.
* Updated to MAME/MESS/UME 0.154.

Fixed:
* Failure to selection of filters with active search.
* Crash in the ingame menu by MESS / UME under rare circumstances.
* Saving / loading cache driver.
* Various minor fixes.

---------------------------------
1.54rc2 - 22.06.2014

Added:
* Filters Vertical and Horizontal (reflect the game screen orientation).
* Support for Story.dat (in the right panel, using the shortcut key ALT-T, from ingame menu).
* Drivers info caching, for fastest filters loading.

Fixed:
* Memory leak in indexing COMMAND.DAT.
* Incorrect alignment in displaying information from COMMAND.DAT.
* Wrong "Software History Info" item displayed in drivers ingame menu.
* Incorrect rendering of the background image.

Changed:
* Reverted some default options value.
* Updated to MAME SVN r31076.
 

---------------------------------
1.54rc1 - 15.06.2014

Added:
* Shortcut keys ALT-F for add/remove a game/software into/from the favorites list.
* Star image in bottom-left side of main menu to identify favorite game/software.

Fixed:
* Proper handling menu manufacturers and years if pressed ESC to exit.
* Memory leak and wrong loading of DATs file.
* Decoding and display Mameinfo / Messinfo.
* DATs info view missing some lines.

Changed:
* Update to MAME SVN r30976.

---------------------------------
1.53a - 26.04.2014

Added:
* Displaying information from DATs files (History / Mameinfo / Messinfo / Sysinfo) directly available in the right panel of the main menu.
* Filters for software lists, "All" - "Originals" - "Clones".

Changed:
* Now the selection of filters Manufacturers and Years, in the left panel menu, directly opens the selection list.

Fixed:
* Bug in select option Classic - Grouped. [Big Karnak]

---------------------------------
1.53_fix - 08.04.2014

Fixed crash in opening "configure option".

---------------------------------
1.53 - 07.04.2014

Added:
* Image's switching (snapshots, etc ...) now also available with mouse.
* Left side panel for quick filter's selection.
* Grouped list mode also available for all filters.
* Background image in main menu 
  (all credits to George Spigot http://georgespigot.wordpress.com/).
* Support for source drivers data from MAMEINFO.
* Support for software infos from History.dat.
* Other minor adds.

Changed:
* Changed software versioning to synchronize it with the MAME's releases 
  (1.53 = 0.153).
* Rewritten code to manage favorites (not compatible with previous versions).
* Filter "All Games" now show really all games / systems, 
  renamed old "All Games" to "Available".
* Removed blur effect to the images (snapshots, etc ...).
* Changed functionality of the TAB key in the main menu, 
  now switch from and to the list of game and the configuration menus.
* Main menu always maximized, even if the list of games has no items.
* Configuration options menu always visible and clickable.
* Moved folder selection menu in the main menu.
* Changed behavior of the ESC key in software list menu, 
  if there is a search, it resets and doesn't come out (MESS-UME).
* Mouse pointer is now showed with a 32*32 pixel, itself as original bitmap.
* Updated to MAME / MESS / UME 0.153.
* Other minor changes.

Fixed:
* bad_alloc crash in Vector/Sample/Stereo filters selection (32bit version).
* Missing loading zipped cheats in some circumstance.
* Failure to load the images from folders not by default.
* Failure to reselection last started game in windowed mode or SDL builds.
* Wrong loading of INI's category.
* Other minor bugs fixed and code cleanup.

---------------------------------
0.207 - 25.12.2013

* Changed: Update to MAME/MESS 0.152.
* Fixed: Minor bugs.

---------------------------------
0.206 - 07.11.2013

* Added: Support for additional images: Artwork Preview, Bosses, Logo, Scores,
	 Versus, Game Over, How To, Select.

* Changed: Update to MAME/MESS 0.151.
* Changed: Small graphic details.

---------------------------------
0.205 - 17.09.2013

* Added: Option and Configuration Menu for directories (Roms, Ini, etc ...).
* Added: New search algorithm.

* Changed: Update to MAME 0.150

* Fixed: Bug in the menu Selector.
* Fixed: Proper Messinfo display (MESS).
* Fixed: Loading of some software (MESS).
* Fixed: Incorrect management of favorites (MESS).
* Fixed: Crash when loading some images (MESS).

---------------------------------
0.201 - 01.08.2013

* Added: Support for JPG images zipped / 7zipped.
* Added: Option to group parent-clones in "All games" list. 
	 ("All System" for MESS version)

* Added: Software list automatically grouped for parent-clones. (only MESS version)
* Added: Option to enable / disable forcing to 4:3 of snapshots in the software list. 
         (only MESS version)

* Fixed: Mistake in displaying DATs files.
* Fixed: Handling of the favorite games.
* Fixed: Incorrect options in "Display options". (only MESS version)
* Fixed: Crash in "Configure Options" if the filter is active to Favorites. 
	 (only MESS version)

Note:
Into MESS version, the favorites file is no longer named 
"software_favorite.ini" but "mewui_favorite.ini."
Given the changes in the code it's advisable to rebuild it from scratch. 
I apologize for the inconvenience.

---------------------------------
0.200 - 24.07.2013

* Added: JPEG support for snapshot - cabinets - etc...

* Fixed: crash exiting the program in some circumstances.
* Fixed: mismanagement of images (MESS version only).
* Fixed: cleaned up the code for better speed and stability.

---------------------------------
0.199 - 23.07.2013

* Changed: updated to MAME 0.149u1.

* Fixed: incorrect memory allocation.

Note: Starting with this release, is available a specific version for MESS.
Always with this release, the Linux version is suspended until further notice.

---------------------------------
0.198 - 16.06.2013

* Added: search in selection submenu.

* Changed: improved support filter manufacturer.

* Fixed: incorrect display with some filters if the search is set.

---------------------------------
0.197 - 11.06.2013

* Added: more filters to the games list:
	 Manufacturer - Year - CHD - Use Samples - Support Save - Vector - Stereo

* Changed: updated to MAME 0.149

---------------------------------
0.195 - 20.05.2013

*Changed: updated to MAME 0.148u5
*Fixed: wrong reset of main menu if some DATs is missing.
*Fixed: 64bit mode building.

---------------------------------
0.194 - 30.04.2013

* Added: colors in display command.dat.
* Added: more options in the menu display.
* Changed: increased font size.
* Changed: updated to MAME 0.148u4
* Fixed: working dat file in SDL build.
* Fixed: wrong filter string in SDL build.

---------------------------------
0.193 - 09.04.2013

*Added*
- Support for command.dat (preliminary, it needs further work).
- Support for display of the history / mameinfo / command in the main menu with the key combinations ALT-H / M-ALT / ALT-C.
- Autosave option for settings.
- More info on categories in the header.

*Changed*
- Loading at the start of the data history / mameinfo / command.
- Added different options to activate history / mameinfo / command.
- Eliminate unnecessary info in the main menu.
- Various changes in the UI.

*Fixed*
- Code to redraw of menus after filter change.
- Error in redrawing the main menu if started in windowed mode.
- Various fixes and code cleaning.

---------------------------------
0.192 - 20.03.2013

*Added* 
- New filters are available for the game list: 
	"Favorites" 
	"BIOS" 
	"Parents" 
	"Clones" 
	"Not Working" 
	"Mechanical"

 The filter "favorites" is activated by at least one game added to the list.
 To insert / remove a game in the list, use the option in the game menu.
 The list is saved automatically upon exiting the program.

*Changed*
- Extended support for the filter "category" to all files in the folder "folders".
- Extended enabling the submenu of choice for filters and file category.
- Rewrote part of the code for indexing .dat file, 
  with an increase in speed by 200% and without omission of some clones.

- Changed the graphic part of the game selection menu.
- Updated MAME 0.148u2.

*Fixed*
- Error saving options in mame.ini.

---------------------------------
0.190 - 11.02.2013

Added: New filter "category" available in the main settings:
- Is automatically enabled if at least one of the files "category.ini" or 
  "catlist.ini" is present into their own subdirectories (default is "folders").
- The choice is possible to scroll the items using the arrow keys left-right or 
  by pressing the UI_SELECT key (default is Enter) and selecting an item from the submenu.

Added: Menu settings for sound, display and miscellaneous.
Changed: Updated to MAME 0.148u1
Changed: Moved items from the main menu to the miscellaneous menu.
Changed: Info displayed on the main menu.
Fixed: Proper handling CPU and RAM for the game selection menu.
Fixed: Minor fixes and cleanup code.

*** Note ***
Due to changes in the management of the main menu, check the 
video setting in the "Display Options" and set to Direct3D.
(if you do not want to use DirectDraw or GDI mode intentionally)

---------------------------------
0.186 - 12.01.2013

* Fixed: Loading cheat from zipped file
* Changed: Update to MAME 0.148

---------------------------------
0.185 - 01.01.2013

* Added: Support for compressed files now is extended to all arts (cabinets, titles, etc...).
* Added: Missing items in device mapping menu.
* Added: Option to enlarge the image in the right panel, keeping the aspect ratio.
* Added: Option to disable the re-selection in the menu of the game just started.
* Changed: Customized MEWUI icon (just to distinguish it from the MAME exe).
* Fixed: Error in carriage returns in the file history (1.48 beta 1).
* Fixed: Displaying images in the right panel.

---------------------------------
0.182 - 18.12.2012

* Added: Configure mapping menu for input device
* Changed: Updated to  MAME 0.147u4

---------------------------------
0.180 - 19.11.2012

* Added: Right panel in main menu now displays also the images of: 
	Cabinets (default directory "cabinets")
	Flyers (default directory "flyers")
	Titles (default directory "titles")
	PCBs (default directory "PCB")	
	Marquees (default directory "marquees")	
	Control panels (default directory "cpanel")
	** left-right arrow key for switching **
* Changed: Reminds selection in main menu when exiting from a game
* Changed: Update to MAME 0.147u3
* Fixed: Error in handling keys in the history's view

---------------------------------
0.175 - 11.11.2012

* Added: support for Mameinfo.dat, viewing in ingame menu.
* Added: snapshot try to load saved personal image "0000.png" at first.
* Changed: indexing of the file "history" is now performed at the first request to view.
* Changed: history file is now decoded as UTF8.
* Fixed: snapshot wrong sizing.
* Fixed: Minor bugs.

---------------------------------
0.170 - 31.10.2012

* Moved options MEWUI / MAME in the previous menu, 
  removed submenu unnecessary.
* Now you can save the games filter option in the ini file.
* Set the rendering of high-quality snapshots.
* Improved handling and display of the history file.
* Updated MAME 0.147u2

---------------------------------
0.165 - 08.10.2012

* Update to MAME 0.147u1
* Added preliminary menu for configuring options MAME / MEWUI (at the moment with a few items)
* Added Revision info at bottom in history view
* Minor fixes

For any request of new functionality and / or bug reports, 
it's now open a support forum http://mewui.sourceforge.net/forum/
Each message is truly welcome. (English or Italian)

---------------------------------
0.160 - 27.09.2012

* Added extra menu with filter options for the main menu
 (Three settings are available: "All Games" - "Only Working" - "Not Mechanical")
* Fixed a memory leak in the history menu
* Fixed an error at compile time which caused a malfunction in the history menu

---------------------------------
0.150 - 18.09.2012

* Update to MAME 0.147
* Fixed the display of the main menu in case of a few elements

---------------------------------

0.140 - 17.09.2012

* Added history display in ingame menu (only from history.dat at moment)
* Fixed minor bugs

---------------------------------
0.130 - 09.09.2012

* Fixed high CPU usage and disk reads in main menu
* Correct count of the games displayed in the info at the top
* Now the cheats and snaps are searched and loaded as ZIP or 7z files in their subfolders 
  (Example: "C:\mame\snap\snap.zip" - "C:\mame\cheat\cheat.7z")

---------------------------------
0.120 - 03.09.2012

* Added snapshot view in select game menu

---------------------------------
0.110 - 22.08.2012

* Correct positioning of the text in the submenu of the dip switches
* Cleaned up the code in the generation of the full list
* Enabled cheat menu by default
* Removed the limit of at least 4 characters to search
* Updated to MAME 0.146u5

---------------------------------
0.101 - 30.07.2012

* Update to MAME 0.146u4
* Changed MEWUI versioning in 0.xyz (x = major update / y = minor update / z = MAME update)

---------------------------------
0.1 - 25.07.2012

* View full games list
* Exit confirmation from games enabled by default
* Search activated with a minimum of 4 characters inserted
* The search returns the first 200 results useful
* Pressing the TAB key on the main menu, you activate the configuration menu
* Changed the font size in the UI
* Changed some info displayed at the bottom of main menu
* Added MEWUI info at the top of main menu
